Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Interface WinNT

All Superinterfaces:
  com.sun.jna.AltCallingConvention, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary

    public interface WinNT

extends com.sun.jna.win32.StdCallLibrary

This module defines the 32-Bit Windows types and constants that are defined by NT, but exposed through the Win32 API. Ported from WinNT.h. Microsoft Windows SDK 6.0A.

Nested Class Summary
`static class` | `WinNT.FILE_NOTIFY_INFORMATION` The FILE_NOTIFY_INFORMATION structure describes the changes found by the ReadDirectoryChangesW function.
`static class` | `WinNT.HANDLE` Handle to an object.
`static class` | `WinNT.HANDLEByReference` LPHANDLE
`static class` | `WinNT.HRESULT` Return code used by interfaces.
`static class` | `WinNT.LARGE_INTEGER` A 64-bit integer;
`static class` | `WinNT.LUID` A 64-bit value that is guaranteed to be unique on the operating system that generated it until the system is restarted.
`static class` | `WinNT.OSVERSIONINFO` The OSVERSIONINFO data structure contains operating system version information.
`static class` | `WinNT.OSVERSIONINFOEX` Contains operating system version information.
`static class` | `WinNT.PSID`
`static class` | `WinNT.PSIDByReference`
`static class` | `WinNT.SECURITY_ATTRIBUTES`
`static class` | `WinNT.SECURITY_IMPERSONATION_LEVEL` The SECURITY_IMPERSONATION_LEVEL enumeration type contains values that specify security impersonation levels.
`static class` | `WinNT.SID_AND_ATTRIBUTES` The SID_AND_ATTRIBUTES structure represents a security identifier (SID) and its attributes.
`static class` | `WinNT.SID_NAME_USE` The SID_NAME_USE enumeration type contains values that specify the type of a security identifier (SID).
`static class` | `WinNT.TOKEN_GROUPS` The TOKEN_GROUPS structure contains information about the group security identifiers (SIDs) in an access token.
`static class` | `WinNT.TOKEN_INFORMATION_CLASS` The TOKEN_INFORMATION_CLASS enumeration type contains values that specify the type of information being assigned to or retrieved from an access token.
`static class` | `WinNT.TOKEN_OWNER` The TOKEN_OWNER structure contains the default owner security identifier (SID) that will be applied to newly created objects.
`static class` | `WinNT.TOKEN_USER` The TOKEN_USER structure identifies the user associated with an access token.
`static class` | `WinNT.WELL_KNOWN_SID_TYPE` The WELL_KNOWN_SID_TYPE enumeration type is a list of commonly used security identifiers (SIDs).

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static int` | `CREATE_ALWAYS`
`static int` | `CREATE_NEW`
`static int` | `DELETE`
`static int` | `FILE_ACTION_ADDED`
`static int` | `FILE_ACTION_MODIFIED`
`static int` | `FILE_ACTION_REMOVED`
`static int` | `FILE_ACTION_RENAMED_NEW_NAME`
`static int` | `FILE_ACTION_RENAMED_OLD_NAME`
`static int` | `FILE_ATTRIBUTE_ARCHIVE`
`static int` | `FILE_ATTRIBUTE_COMPRESSED`
`static int` | `FILE_ATTRIBUTE_DEVICE`
`static int` | `FILE_ATTRIBUTE_DIRECTORY`
`static int` | `FILE_ATTRIBUTE_ENCRYPTED`
`static int` | `FILE_ATTRIBUTE_HIDDEN`
`static int` | `FILE_ATTRIBUTE_NORMAL`
`static int` | `FILE_ATTRIBUTE_NOT_CONTENT_INDEXED`
`static int` | `FILE_ATTRIBUTE_OFFLINE`
`static int` | `FILE_ATTRIBUTE_READONLY`
`static int` | `FILE_ATTRIBUTE_REPARSE_POINT`
`static int` | `FILE_ATTRIBUTE_SPARSE_FILE`
`static int` | `FILE_ATTRIBUTE_SYSTEM`
`static int` | `FILE_ATTRIBUTE_TEMPORARY`
`static int` | `FILE_ATTRIBUTE_VIRTUAL`
`static int` | `FILE_CASE_PRESERVED_NAMES`
`static int` | `FILE_CASE_SENSITIVE_SEARCH`
`static int` | `FILE_FILE_COMPRESSION`
`static int` | `FILE_FLAG_BACKUP_SEMANTICS`
`static int` | `FILE_FLAG_DELETE_ON_CLOSE`
`static int` | `FILE_FLAG_NO_BUFFERING`
`static int` | `FILE_FLAG_OPEN_NO_RECALL`
`static int` | `FILE_FLAG_OPEN_REPARSE_POINT`
`static int` | `FILE_FLAG_OVERLAPPED`
`static int` | `FILE_FLAG_POSIX_SEMANTICS`
`static int` | `FILE_FLAG_RANDOM_ACCESS`
`static int` | `FILE_FLAG_SEQUENTIAL_SCAN`
`static int` | `FILE_FLAG_WRITE_THROUGH`
`static int` | `FILE_LIST_DIRECTORY`
`static int` | `FILE_NAMED_STREAMS`
`static int` | `FILE_NOTIFY_CHANGE_ATTRIBUTES`
`static int` | `FILE_NOTIFY_CHANGE_CREATION`
`static int` | `FILE_NOTIFY_CHANGE_DIR_NAME`
`static int` | `FILE_NOTIFY_CHANGE_FILE_NAME`
`static int` | `FILE_NOTIFY_CHANGE_LAST_ACCESS`
`static int` | `FILE_NOTIFY_CHANGE_LAST_WRITE`
`static int` | `FILE_NOTIFY_CHANGE_NAME`
`static int` | `FILE_NOTIFY_CHANGE_SECURITY`
`static int` | `FILE_NOTIFY_CHANGE_SIZE`
`static int` | `FILE_PERSISTENT_ACLS`
`static int` | `FILE_READ_ONLY_VOLUME`
`static int` | `FILE_SEQUENTIAL_WRITE_ONCE`
`static int` | `FILE_SHARE_DELETE`
`static int` | `FILE_SHARE_READ`
`static int` | `FILE_SHARE_WRITE`
`static int` | `FILE_SUPPORTS_ENCRYPTION`
`static int` | `FILE_SUPPORTS_OBJECT_IDS`
`static int` | `FILE_SUPPORTS_REMOTE_STORAGE`
`static int` | `FILE_SUPPORTS_REPARSE_POINTS`
`static int` | `FILE_SUPPORTS_SPARSE_FILES`
`static int` | `FILE_SUPPORTS_TRANSACTIONS`
`static int` | `FILE_UNICODE_ON_DISK`
`static int` | `FILE_VOLUME_IS_COMPRESSED`
`static int` | `FILE_VOLUME_QUOTAS`
`static int` | `GENERIC_WRITE`
`static int` | `KEY_ALL_ACCESS`
`static int` | `KEY_CREATE_LINK`
`static int` | `KEY_CREATE_SUB_KEY`
`static int` | `KEY_ENUMERATE_SUB_KEYS`
`static int` | `KEY_EXECUTE`
`static int` | `KEY_NOTIFY`
`static int` | `KEY_QUERY_VALUE` Registry options.
`static int` | `KEY_READ`
`static int` | `KEY_SET_VALUE`
`static int` | `KEY_WOW64_32KEY`
`static int` | `KEY_WOW64_64KEY`
`static int` | `KEY_WOW64_RES`
`static int` | `KEY_WRITE`
`static int` | `OPEN_ALWAYS`
`static int` | `OPEN_EXISTING`
`static int` | `PAGE_EXECUTE`
`static int` | `PAGE_EXECUTE_READ`
`static int` | `PAGE_EXECUTE_READWRITE`
`static int` | `PAGE_READONLY`
`static int` | `PAGE_READWRITE`
`static int` | `PAGE_WRITECOPY`
`static int` | `READ_CONTROL`
`static int` | `REG_APP_HIVE` Loads the hive visible to the calling process.
`static int` | `REG_BINARY` Free-formed binary.
`static int` | `REG_CREATED_NEW_KEY` New Registry Key created.
`static int` | `REG_DWORD` 32-bit number.
`static int` | `REG_DWORD_BIG_ENDIAN` 32-bit number.
`static int` | `REG_DWORD_LITTLE_ENDIAN` 32-bit number, same as REG_DWORD.
`static int` | `REG_EXPAND_SZ` Unicode null-terminated string with environment variable references.
`static int` | `REG_FORCE_RESTORE` Force the restore process even when we have open handles on subkeys.
`static int` | `REG_FORCE_UNLOAD`
`static int` | `REG_FULL_RESOURCE_DESCRIPTOR` Resource list in the hardware description.
`static int` | `REG_HIVE_EXACT_FILE_GROWTH` Grow hive file in exact 4k increments.
`static int` | `REG_HIVE_NO_RM` No RM is started for this hive = no transactions.
`static int` | `REG_HIVE_SINGLE_LOG` Legacy single logging is used for this hive.
`static int` | `REG_LATEST_FORMAT`
`static int` | `REG_LEGAL_CHANGE_FILTER`
`static int` | `REG_LEGAL_OPTION`
`static int` | `REG_LINK` Symbolic link (unicode).
`static int` | `REG_MULTI_SZ` Multiple unicode strings.
`static int` | `REG_NO_COMPRESSION`
`static int` | `REG_NO_LAZY_FLUSH` Never lazy flush this hive.
`static int` | `REG_NONE` No value type.
`static int` | `REG_NOTIFY_CHANGE_ATTRIBUTES`
`static int` | `REG_NOTIFY_CHANGE_LAST_SET`
`static int` | `REG_NOTIFY_CHANGE_NAME`
`static int` | `REG_NOTIFY_CHANGE_SECURITY`
`static int` | `REG_OPENED_EXISTING_KEY` Existing Key opened.
`static int` | `REG_OPTION_BACKUP_RESTORE` Open for backup or restore special access rules privilege required.
`static int` | `REG_OPTION_CREATE_LINK` Created key is a symbolic link.
`static int` | `REG_OPTION_NON_VOLATILE` Key is preserved when system is rebooted.
`static int` | `REG_OPTION_OPEN_LINK` Open symbolic link.
`static int` | `REG_OPTION_RESERVED` Parameter is reserved.
`static int` | `REG_OPTION_VOLATILE` Key is not preserved when system is rebooted.
`static int` | `REG_PROCESS_PRIVATE` Hive cannot be mounted by any other process while in use.
`static int` | `REG_QWORD` 64-bit number.
`static int` | `REG_QWORD_LITTLE_ENDIAN` 64-bit number, same as REG_QWORD.
`static int` | `REG_REFRESH_HIVE` Unwind changes to last flush.
`static int` | `REG_RESOURCE_LIST` Resource list in the resource map.
`static int` | `REG_RESOURCE_REQUIREMENTS_LIST`
`static int` | `REG_STANDARD_FORMAT`
`static int` | `REG_START_JOURNAL` Starts Hive Journal.
`static int` | `REG_SZ` Unicode null-terminated string.
`static int` | `REG_WHOLE_HIVE_VOLATILE` Restore whole hive volatile.
`static int` | `SECTION_EXTEND_SIZE`
`static int` | `SECTION_MAP_EXECUTE`
`static int` | `SECTION_MAP_READ`
`static int` | `SECTION_MAP_WRITE`
`static int` | `SECTION_QUERY`
`static int` | `SECURITY_MAX_SID_SIZE` Maximum bytes used by a SID.
`static int` | `SID_MAX_SUB_AUTHORITIES`
`static int` | `SID_RECOMMENDED_SUB_AUTHORITIES`
`static int` | `SID_REVISION` Current SID revision level.
`static int` | `SPECIFIC_RIGHTS_ALL`
`static int` | `STANDARD_RIGHTS_ALL`
`static int` | `STANDARD_RIGHTS_EXECUTE`
`static int` | `STANDARD_RIGHTS_READ`
`static int` | `STANDARD_RIGHTS_REQUIRED`
`static int` | `STANDARD_RIGHTS_WRITE`
`static int` | `SYNCHRONIZE`
`static int` | `THREAD_ALL_ACCESS`
`static int` | `THREAD_DIRECT_IMPERSONATION`
`static int` | `THREAD_GET_CONTEXT`
`static int` | `THREAD_IMPERSONATE`
`static int` | `THREAD_QUERY_INFORMATION`
`static int` | `THREAD_QUERY_LIMITED_INFORMATION`
`static int` | `THREAD_SET_CONTEXT`
`static int` | `THREAD_SET_INFORMATION`
`static int` | `THREAD_SET_LIMITED_INFORMATION`
`static int` | `THREAD_SET_THREAD_TOKEN`
`static int` | `THREAD_SUSPEND_RESUME`
`static int` | `THREAD_TERMINATE`
`static int` | `TOKEN_ADJUST_DEFAULT` Required to change the default owner, primary group, or DACL of an access token.
`static int` | `TOKEN_ADJUST_GROUPS` Required to adjust the attributes of the groups in an access token.
`static int` | `TOKEN_ADJUST_PRIVILEGES` Required to enable or disable the privileges in an access token.
`static int` | `TOKEN_ADJUST_SESSIONID` Required to adjust the session ID of an access token.
`static int` | `TOKEN_ALL_ACCESS` Combines all possible access rights for a token.
`static int` | `TOKEN_ALL_ACCESS_P`
`static int` | `TOKEN_ASSIGN_PRIMARY` Required to attach a primary token to a process.
`static int` | `TOKEN_DUPLICATE` Required to duplicate an access token.
`static int` | `TOKEN_EXECUTE` Combines STANDARD_RIGHTS_EXECUTE and TOKEN_IMPERSONATE.
`static int` | `TOKEN_IMPERSONATE` Required to attach an impersonation access token to a process.
`static int` | `TOKEN_QUERY` Required to query an access token.
`static int` | `TOKEN_QUERY_SOURCE` Required to query the source of an access token.
`static int` | `TOKEN_READ` Combines STANDARD_RIGHTS_READ and TOKEN_QUERY.
`static int` | `TOKEN_WRITE` Combines STANDARD_RIGHTS_WRITE, TOKEN_ADJUST_PRIVILEGES, TOKEN_ADJUST_GROUPS, and TOKEN_ADJUST_DEFAULT.
`static int` | `TRUNCATE_EXISTING`
`static int` | `VER_AND`
`static int` | `VER_BUILDNUMBER`
`static int` | `VER_CONDITION_MASK`
`static int` | `VER_EQUAL`
`static int` | `VER_GREATER`
`static int` | `VER_GREATER_EQUAL`
`static int` | `VER_LESS`
`static int` | `VER_LESS_EQUAL`
`static int` | `VER_MAJORVERSION`
`static int` | `VER_MINORVERSION`
`static int` | `VER_NT_DOMAIN_CONTROLLER`
`static int` | `VER_NT_SERVER`
`static int` | `VER_NT_WORKSTATION`
`static int` | `VER_NUM_BITS_PER_CONDITION_MASK`
`static int` | `VER_OR`
`static int` | `VER_PLATFORM_WIN32_NT`
`static int` | `VER_PLATFORM_WIN32_WINDOWS`
`static int` | `VER_PLATFORM_WIN32s`
`static int` | `VER_PLATFORMID`
`static int` | `VER_PRODUCT_TYPE`
`static int` | `VER_SERVICEPACKMAJOR`
`static int` | `VER_SERVICEPACKMINOR`
`static int` | `VER_SUITENAME`
`static int` | `WRITE_DAC`
`static int` | `WRITE_OWNER`

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Field Detail

### DELETE

    static final int DELETE

See Also:
  Constant Field Values

### READ_CONTROL

    static final int READ_CONTROL

See Also:
  Constant Field Values

### WRITE_DAC

    static final int WRITE_DAC

See Also:
  Constant Field Values

### WRITE_OWNER

    static final int WRITE_OWNER

See Also:
  Constant Field Values

### SYNCHRONIZE

    static final int SYNCHRONIZE

See Also:
  Constant Field Values

### STANDARD_RIGHTS_REQUIRED

    static final int STANDARD_RIGHTS_REQUIRED

See Also:
  Constant Field Values

### STANDARD_RIGHTS_READ

    static final int STANDARD_RIGHTS_READ

See Also:
  Constant Field Values

### STANDARD_RIGHTS_WRITE

    static final int STANDARD_RIGHTS_WRITE

See Also:
  Constant Field Values

### STANDARD_RIGHTS_EXECUTE

    static final int STANDARD_RIGHTS_EXECUTE

See Also:
  Constant Field Values

### STANDARD_RIGHTS_ALL

    static final int STANDARD_RIGHTS_ALL

See Also:
  Constant Field Values

### SPECIFIC_RIGHTS_ALL

    static final int SPECIFIC_RIGHTS_ALL

See Also:
  Constant Field Values

### TOKEN_ASSIGN_PRIMARY

    static final int TOKEN_ASSIGN_PRIMARY

  Required to attach a primary token to a process. The SE_ASSIGNPRIMARYTOKEN_NAME privilege is also required to accomplish this task.

  See Also:
    Constant Field Values

### TOKEN_DUPLICATE

    static final int TOKEN_DUPLICATE

  Required to duplicate an access token.

  See Also:
    Constant Field Values

### TOKEN_IMPERSONATE

    static final int TOKEN_IMPERSONATE

  Required to attach an impersonation access token to a process.

  See Also:
    Constant Field Values

### TOKEN_QUERY

    static final int TOKEN_QUERY

  Required to query an access token.

  See Also:
    Constant Field Values

### TOKEN_QUERY_SOURCE

    static final int TOKEN_QUERY_SOURCE

  Required to query the source of an access token.

  See Also:
    Constant Field Values

### TOKEN_ADJUST_PRIVILEGES

    static final int TOKEN_ADJUST_PRIVILEGES

  Required to enable or disable the privileges in an access token.

  See Also:
    Constant Field Values

### TOKEN_ADJUST_GROUPS

    static final int TOKEN_ADJUST_GROUPS

  Required to adjust the attributes of the groups in an access token.

  See Also:
    Constant Field Values

### TOKEN_ADJUST_DEFAULT

    static final int TOKEN_ADJUST_DEFAULT

  Required to change the default owner, primary group, or DACL of an access token.

  See Also:
    Constant Field Values

### TOKEN_ADJUST_SESSIONID

    static final int TOKEN_ADJUST_SESSIONID

  Required to adjust the session ID of an access token. The SE_TCB_NAME privilege is required.

  See Also:
    Constant Field Values

### TOKEN_ALL_ACCESS_P

    static final int TOKEN_ALL_ACCESS_P

See Also:
  Constant Field Values

### TOKEN_ALL_ACCESS

    static final int TOKEN_ALL_ACCESS

  Combines all possible access rights for a token.

  See Also:
    Constant Field Values

### TOKEN_READ

    static final int TOKEN_READ

  Combines STANDARD_RIGHTS_READ and TOKEN_QUERY.

  See Also:
    Constant Field Values

### TOKEN_WRITE

    static final int TOKEN_WRITE

  Combines STANDARD_RIGHTS_WRITE, TOKEN_ADJUST_PRIVILEGES, TOKEN_ADJUST_GROUPS, and TOKEN_ADJUST_DEFAULT.

  See Also:
    Constant Field Values

### TOKEN_EXECUTE

    static final int TOKEN_EXECUTE

  Combines STANDARD_RIGHTS_EXECUTE and TOKEN_IMPERSONATE.

  See Also:
    Constant Field Values

### THREAD_TERMINATE

    static final int THREAD_TERMINATE

See Also:
  Constant Field Values

### THREAD_SUSPEND_RESUME

    static final int THREAD_SUSPEND_RESUME

See Also:
  Constant Field Values

### THREAD_GET_CONTEXT

    static final int THREAD_GET_CONTEXT

See Also:
  Constant Field Values

### THREAD_SET_CONTEXT

    static final int THREAD_SET_CONTEXT

See Also:
  Constant Field Values

### THREAD_QUERY_INFORMATION

    static final int THREAD_QUERY_INFORMATION

See Also:
  Constant Field Values

### THREAD_SET_INFORMATION

    static final int THREAD_SET_INFORMATION

See Also:
  Constant Field Values

### THREAD_SET_THREAD_TOKEN

    static final int THREAD_SET_THREAD_TOKEN

See Also:
  Constant Field Values

### THREAD_IMPERSONATE

    static final int THREAD_IMPERSONATE

See Also:
  Constant Field Values

### THREAD_DIRECT_IMPERSONATION

    static final int THREAD_DIRECT_IMPERSONATION

See Also:
  Constant Field Values

### THREAD_SET_LIMITED_INFORMATION

    static final int THREAD_SET_LIMITED_INFORMATION

See Also:
  Constant Field Values

### THREAD_QUERY_LIMITED_INFORMATION

    static final int THREAD_QUERY_LIMITED_INFORMATION

See Also:
  Constant Field Values

### THREAD_ALL_ACCESS

    static final int THREAD_ALL_ACCESS

See Also:
  Constant Field Values

### FILE_LIST_DIRECTORY

    static final int FILE_LIST_DIRECTORY

See Also:
  Constant Field Values

### CREATE_NEW

    static final int CREATE_NEW

See Also:
  Constant Field Values

### CREATE_ALWAYS

    static final int CREATE_ALWAYS

See Also:
  Constant Field Values

### OPEN_EXISTING

    static final int OPEN_EXISTING

See Also:
  Constant Field Values

### OPEN_ALWAYS

    static final int OPEN_ALWAYS

See Also:
  Constant Field Values

### TRUNCATE_EXISTING

    static final int TRUNCATE_EXISTING

See Also:
  Constant Field Values

### FILE_FLAG_WRITE_THROUGH

    static final int FILE_FLAG_WRITE_THROUGH

See Also:
  Constant Field Values

### FILE_FLAG_OVERLAPPED

    static final int FILE_FLAG_OVERLAPPED

See Also:
  Constant Field Values

### FILE_FLAG_NO_BUFFERING

    static final int FILE_FLAG_NO_BUFFERING

See Also:
  Constant Field Values

### FILE_FLAG_RANDOM_ACCESS

    static final int FILE_FLAG_RANDOM_ACCESS

See Also:
  Constant Field Values

### FILE_FLAG_SEQUENTIAL_SCAN

    static final int FILE_FLAG_SEQUENTIAL_SCAN

See Also:
  Constant Field Values

### FILE_FLAG_DELETE_ON_CLOSE

    static final int FILE_FLAG_DELETE_ON_CLOSE

See Also:
  Constant Field Values

### FILE_FLAG_BACKUP_SEMANTICS

    static final int FILE_FLAG_BACKUP_SEMANTICS

See Also:
  Constant Field Values

### FILE_FLAG_POSIX_SEMANTICS

    static final int FILE_FLAG_POSIX_SEMANTICS

See Also:
  Constant Field Values

### FILE_FLAG_OPEN_REPARSE_POINT

    static final int FILE_FLAG_OPEN_REPARSE_POINT

See Also:
  Constant Field Values

### FILE_FLAG_OPEN_NO_RECALL

    static final int FILE_FLAG_OPEN_NO_RECALL

See Also:
  Constant Field Values

### GENERIC_WRITE

    static final int GENERIC_WRITE

See Also:
  Constant Field Values

### PAGE_READONLY

    static final int PAGE_READONLY

See Also:
  Constant Field Values

### PAGE_READWRITE

    static final int PAGE_READWRITE

See Also:
  Constant Field Values

### PAGE_WRITECOPY

    static final int PAGE_WRITECOPY

See Also:
  Constant Field Values

### PAGE_EXECUTE

    static final int PAGE_EXECUTE

See Also:
  Constant Field Values

### PAGE_EXECUTE_READ

    static final int PAGE_EXECUTE_READ

See Also:
  Constant Field Values

### PAGE_EXECUTE_READWRITE

    static final int PAGE_EXECUTE_READWRITE

See Also:
  Constant Field Values

### SECTION_QUERY

    static final int SECTION_QUERY

See Also:
  Constant Field Values

### SECTION_MAP_WRITE

    static final int SECTION_MAP_WRITE

See Also:
  Constant Field Values

### SECTION_MAP_READ

    static final int SECTION_MAP_READ

See Also:
  Constant Field Values

### SECTION_MAP_EXECUTE

    static final int SECTION_MAP_EXECUTE

See Also:
  Constant Field Values

### SECTION_EXTEND_SIZE

    static final int SECTION_EXTEND_SIZE

See Also:
  Constant Field Values

### FILE_SHARE_READ

    static final int FILE_SHARE_READ

See Also:
  Constant Field Values

### FILE_SHARE_WRITE

    static final int FILE_SHARE_WRITE

See Also:
  Constant Field Values

### FILE_SHARE_DELETE

    static final int FILE_SHARE_DELETE

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_READONLY

    static final int FILE_ATTRIBUTE_READONLY

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_HIDDEN

    static final int FILE_ATTRIBUTE_HIDDEN

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_SYSTEM

    static final int FILE_ATTRIBUTE_SYSTEM

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_DIRECTORY

    static final int FILE_ATTRIBUTE_DIRECTORY

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_ARCHIVE

    static final int FILE_ATTRIBUTE_ARCHIVE

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_DEVICE

    static final int FILE_ATTRIBUTE_DEVICE

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_NORMAL

    static final int FILE_ATTRIBUTE_NORMAL

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_TEMPORARY

    static final int FILE_ATTRIBUTE_TEMPORARY

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_SPARSE_FILE

    static final int FILE_ATTRIBUTE_SPARSE_FILE

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_REPARSE_POINT

    static final int FILE_ATTRIBUTE_REPARSE_POINT

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_COMPRESSED

    static final int FILE_ATTRIBUTE_COMPRESSED

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_OFFLINE

    static final int FILE_ATTRIBUTE_OFFLINE

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_NOT_CONTENT_INDEXED

    static final int FILE_ATTRIBUTE_NOT_CONTENT_INDEXED

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_ENCRYPTED

    static final int FILE_ATTRIBUTE_ENCRYPTED

See Also:
  Constant Field Values

### FILE_ATTRIBUTE_VIRTUAL

    static final int FILE_ATTRIBUTE_VIRTUAL

See Also:
  Constant Field Values

### FILE_NOTIFY_CHANGE_FILE_NAME

    static final int FILE_NOTIFY_CHANGE_FILE_NAME

See Also:
  Constant Field Values

### FILE_NOTIFY_CHANGE_DIR_NAME

    static final int FILE_NOTIFY_CHANGE_DIR_NAME

See Also:
  Constant Field Values

### FILE_NOTIFY_CHANGE_NAME

    static final int FILE_NOTIFY_CHANGE_NAME

See Also:
  Constant Field Values

### FILE_NOTIFY_CHANGE_ATTRIBUTES

    static final int FILE_NOTIFY_CHANGE_ATTRIBUTES

See Also:
  Constant Field Values

### FILE_NOTIFY_CHANGE_SIZE

    static final int FILE_NOTIFY_CHANGE_SIZE

See Also:
  Constant Field Values

### FILE_NOTIFY_CHANGE_LAST_WRITE

    static final int FILE_NOTIFY_CHANGE_LAST_WRITE

See Also:
  Constant Field Values

### FILE_NOTIFY_CHANGE_LAST_ACCESS

    static final int FILE_NOTIFY_CHANGE_LAST_ACCESS

See Also:
  Constant Field Values

### FILE_NOTIFY_CHANGE_CREATION

    static final int FILE_NOTIFY_CHANGE_CREATION

See Also:
  Constant Field Values

### FILE_NOTIFY_CHANGE_SECURITY

    static final int FILE_NOTIFY_CHANGE_SECURITY

See Also:
  Constant Field Values

### FILE_ACTION_ADDED

    static final int FILE_ACTION_ADDED

See Also:
  Constant Field Values

### FILE_ACTION_REMOVED

    static final int FILE_ACTION_REMOVED

See Also:
  Constant Field Values

### FILE_ACTION_MODIFIED

    static final int FILE_ACTION_MODIFIED

See Also:
  Constant Field Values

### FILE_ACTION_RENAMED_OLD_NAME

    static final int FILE_ACTION_RENAMED_OLD_NAME

See Also:
  Constant Field Values

### FILE_ACTION_RENAMED_NEW_NAME

    static final int FILE_ACTION_RENAMED_NEW_NAME

See Also:
  Constant Field Values

### FILE_CASE_SENSITIVE_SEARCH

    static final int FILE_CASE_SENSITIVE_SEARCH

See Also:
  Constant Field Values

### FILE_CASE_PRESERVED_NAMES

    static final int FILE_CASE_PRESERVED_NAMES

See Also:
  Constant Field Values

### FILE_UNICODE_ON_DISK

    static final int FILE_UNICODE_ON_DISK

See Also:
  Constant Field Values

### FILE_PERSISTENT_ACLS

    static final int FILE_PERSISTENT_ACLS

See Also:
  Constant Field Values

### FILE_FILE_COMPRESSION

    static final int FILE_FILE_COMPRESSION

See Also:
  Constant Field Values

### FILE_VOLUME_QUOTAS

    static final int FILE_VOLUME_QUOTAS

See Also:
  Constant Field Values

### FILE_SUPPORTS_SPARSE_FILES

    static final int FILE_SUPPORTS_SPARSE_FILES

See Also:
  Constant Field Values

### FILE_SUPPORTS_REPARSE_POINTS

    static final int FILE_SUPPORTS_REPARSE_POINTS

See Also:
  Constant Field Values

### FILE_SUPPORTS_REMOTE_STORAGE

    static final int FILE_SUPPORTS_REMOTE_STORAGE

See Also:
  Constant Field Values

### FILE_VOLUME_IS_COMPRESSED

    static final int FILE_VOLUME_IS_COMPRESSED

See Also:
  Constant Field Values

### FILE_SUPPORTS_OBJECT_IDS

    static final int FILE_SUPPORTS_OBJECT_IDS

See Also:
  Constant Field Values

### FILE_SUPPORTS_ENCRYPTION

    static final int FILE_SUPPORTS_ENCRYPTION

See Also:
  Constant Field Values

### FILE_NAMED_STREAMS

    static final int FILE_NAMED_STREAMS

See Also:
  Constant Field Values

### FILE_READ_ONLY_VOLUME

    static final int FILE_READ_ONLY_VOLUME

See Also:
  Constant Field Values

### FILE_SEQUENTIAL_WRITE_ONCE

    static final int FILE_SEQUENTIAL_WRITE_ONCE

See Also:
  Constant Field Values

### FILE_SUPPORTS_TRANSACTIONS

    static final int FILE_SUPPORTS_TRANSACTIONS

See Also:
  Constant Field Values

### KEY_QUERY_VALUE

    static final int KEY_QUERY_VALUE

  Registry options.

  See Also:
    Constant Field Values

### KEY_SET_VALUE

    static final int KEY_SET_VALUE

See Also:
  Constant Field Values

### KEY_CREATE_SUB_KEY

    static final int KEY_CREATE_SUB_KEY

See Also:
  Constant Field Values

### KEY_ENUMERATE_SUB_KEYS

    static final int KEY_ENUMERATE_SUB_KEYS

See Also:
  Constant Field Values

### KEY_NOTIFY

    static final int KEY_NOTIFY

See Also:
  Constant Field Values

### KEY_CREATE_LINK

    static final int KEY_CREATE_LINK

See Also:
  Constant Field Values

### KEY_WOW64_32KEY

    static final int KEY_WOW64_32KEY

See Also:
  Constant Field Values

### KEY_WOW64_64KEY

    static final int KEY_WOW64_64KEY

See Also:
  Constant Field Values

### KEY_WOW64_RES

    static final int KEY_WOW64_RES

See Also:
  Constant Field Values

### KEY_READ

    static final int KEY_READ

See Also:
  Constant Field Values

### KEY_WRITE

    static final int KEY_WRITE

See Also:
  Constant Field Values

### KEY_EXECUTE

    static final int KEY_EXECUTE

See Also:
  Constant Field Values

### KEY_ALL_ACCESS

    static final int KEY_ALL_ACCESS

See Also:
  Constant Field Values

### REG_OPTION_RESERVED

    static final int REG_OPTION_RESERVED

  Parameter is reserved.

  See Also:
    Constant Field Values

### REG_OPTION_NON_VOLATILE

    static final int REG_OPTION_NON_VOLATILE

  Key is preserved when system is rebooted.

  See Also:
    Constant Field Values

### REG_OPTION_VOLATILE

    static final int REG_OPTION_VOLATILE

  Key is not preserved when system is rebooted.

  See Also:
    Constant Field Values

### REG_OPTION_CREATE_LINK

    static final int REG_OPTION_CREATE_LINK

  Created key is a symbolic link.

  See Also:
    Constant Field Values

### REG_OPTION_BACKUP_RESTORE

    static final int REG_OPTION_BACKUP_RESTORE

  Open for backup or restore special access rules privilege required.

  See Also:
    Constant Field Values

### REG_OPTION_OPEN_LINK

    static final int REG_OPTION_OPEN_LINK

  Open symbolic link.

  See Also:
    Constant Field Values

### REG_LEGAL_OPTION

    static final int REG_LEGAL_OPTION

See Also:
  Constant Field Values

### REG_CREATED_NEW_KEY

    static final int REG_CREATED_NEW_KEY

  New Registry Key created.

  See Also:
    Constant Field Values

### REG_OPENED_EXISTING_KEY

    static final int REG_OPENED_EXISTING_KEY

  Existing Key opened.

  See Also:
    Constant Field Values

### REG_STANDARD_FORMAT

    static final int REG_STANDARD_FORMAT

See Also:
  Constant Field Values

### REG_LATEST_FORMAT

    static final int REG_LATEST_FORMAT

See Also:
  Constant Field Values

### REG_NO_COMPRESSION

    static final int REG_NO_COMPRESSION

See Also:
  Constant Field Values

### REG_WHOLE_HIVE_VOLATILE

    static final int REG_WHOLE_HIVE_VOLATILE

  Restore whole hive volatile.

  See Also:
    Constant Field Values

### REG_REFRESH_HIVE

    static final int REG_REFRESH_HIVE

  Unwind changes to last flush.

  See Also:
    Constant Field Values

### REG_NO_LAZY_FLUSH

    static final int REG_NO_LAZY_FLUSH

  Never lazy flush this hive.

  See Also:
    Constant Field Values

### REG_FORCE_RESTORE

    static final int REG_FORCE_RESTORE

  Force the restore process even when we have open handles on subkeys.

  See Also:
    Constant Field Values

### REG_APP_HIVE

    static final int REG_APP_HIVE

  Loads the hive visible to the calling process.

  See Also:
    Constant Field Values

### REG_PROCESS_PRIVATE

    static final int REG_PROCESS_PRIVATE

  Hive cannot be mounted by any other process while in use.

  See Also:
    Constant Field Values

### REG_START_JOURNAL

    static final int REG_START_JOURNAL

  Starts Hive Journal.

  See Also:
    Constant Field Values

### REG_HIVE_EXACT_FILE_GROWTH

    static final int REG_HIVE_EXACT_FILE_GROWTH

  Grow hive file in exact 4k increments.

  See Also:
    Constant Field Values

### REG_HIVE_NO_RM

    static final int REG_HIVE_NO_RM

  No RM is started for this hive = no transactions.

  See Also:
    Constant Field Values

### REG_HIVE_SINGLE_LOG

    static final int REG_HIVE_SINGLE_LOG

  Legacy single logging is used for this hive.

  See Also:
    Constant Field Values

### REG_FORCE_UNLOAD

    static final int REG_FORCE_UNLOAD

See Also:
  Constant Field Values

### REG_NOTIFY_CHANGE_NAME

    static final int REG_NOTIFY_CHANGE_NAME

See Also:
  Constant Field Values

### REG_NOTIFY_CHANGE_ATTRIBUTES

    static final int REG_NOTIFY_CHANGE_ATTRIBUTES

See Also:
  Constant Field Values

### REG_NOTIFY_CHANGE_LAST_SET

    static final int REG_NOTIFY_CHANGE_LAST_SET

See Also:
  Constant Field Values

### REG_NOTIFY_CHANGE_SECURITY

    static final int REG_NOTIFY_CHANGE_SECURITY

See Also:
  Constant Field Values

### REG_LEGAL_CHANGE_FILTER

    static final int REG_LEGAL_CHANGE_FILTER

See Also:
  Constant Field Values

### REG_NONE

    static final int REG_NONE

  No value type.

  See Also:
    Constant Field Values

### REG_SZ

    static final int REG_SZ

  Unicode null-terminated string.

  See Also:
    Constant Field Values

### REG_EXPAND_SZ

    static final int REG_EXPAND_SZ

  Unicode null-terminated string with environment variable references.

  See Also:
    Constant Field Values

### REG_BINARY

    static final int REG_BINARY

  Free-formed binary.

  See Also:
    Constant Field Values

### REG_DWORD

    static final int REG_DWORD

  32-bit number.

  See Also:
    Constant Field Values

### REG_DWORD_LITTLE_ENDIAN

    static final int REG_DWORD_LITTLE_ENDIAN

  32-bit number, same as REG_DWORD.

  See Also:
    Constant Field Values

### REG_DWORD_BIG_ENDIAN

    static final int REG_DWORD_BIG_ENDIAN

  32-bit number.

  See Also:
    Constant Field Values

### REG_LINK

    static final int REG_LINK

  Symbolic link (unicode).

  See Also:
    Constant Field Values

### REG_MULTI_SZ

    static final int REG_MULTI_SZ

  Multiple unicode strings.

  See Also:
    Constant Field Values

### REG_RESOURCE_LIST

    static final int REG_RESOURCE_LIST

  Resource list in the resource map.

  See Also:
    Constant Field Values

### REG_FULL_RESOURCE_DESCRIPTOR

    static final int REG_FULL_RESOURCE_DESCRIPTOR

  Resource list in the hardware description.

  See Also:
    Constant Field Values

### REG_RESOURCE_REQUIREMENTS_LIST

    static final int REG_RESOURCE_REQUIREMENTS_LIST

See Also:
  Constant Field Values

### REG_QWORD

    static final int REG_QWORD

  64-bit number.

  See Also:
    Constant Field Values

### REG_QWORD_LITTLE_ENDIAN

    static final int REG_QWORD_LITTLE_ENDIAN

  64-bit number, same as REG_QWORD.

  See Also:
    Constant Field Values

### SID_REVISION

    static final int SID_REVISION

  Current SID revision level.

  See Also:
    Constant Field Values

### SID_MAX_SUB_AUTHORITIES

    static final int SID_MAX_SUB_AUTHORITIES

See Also:
  Constant Field Values

### SID_RECOMMENDED_SUB_AUTHORITIES

    static final int SID_RECOMMENDED_SUB_AUTHORITIES

See Also:
  Constant Field Values

### SECURITY_MAX_SID_SIZE

    static final int SECURITY_MAX_SID_SIZE

  Maximum bytes used by a SID. (sizeof(SID) - sizeof(DWORD) + (SID_MAX_SUB_AUTHORITIES * sizeof(DWORD)))

  See Also:
    Constant Field Values

### VER_EQUAL

    static final int VER_EQUAL

See Also:
  Constant Field Values

### VER_GREATER

    static final int VER_GREATER

See Also:
  Constant Field Values

### VER_GREATER_EQUAL

    static final int VER_GREATER_EQUAL

See Also:
  Constant Field Values

### VER_LESS

    static final int VER_LESS

See Also:
  Constant Field Values

### VER_LESS_EQUAL

    static final int VER_LESS_EQUAL

See Also:
  Constant Field Values

### VER_AND

    static final int VER_AND

See Also:
  Constant Field Values

### VER_OR

    static final int VER_OR

See Also:
  Constant Field Values

### VER_CONDITION_MASK

    static final int VER_CONDITION_MASK

See Also:
  Constant Field Values

### VER_NUM_BITS_PER_CONDITION_MASK

    static final int VER_NUM_BITS_PER_CONDITION_MASK

See Also:
  Constant Field Values

### VER_MINORVERSION

    static final int VER_MINORVERSION

See Also:
  Constant Field Values

### VER_MAJORVERSION

    static final int VER_MAJORVERSION

See Also:
  Constant Field Values

### VER_BUILDNUMBER

    static final int VER_BUILDNUMBER

See Also:
  Constant Field Values

### VER_PLATFORMID

    static final int VER_PLATFORMID

See Also:
  Constant Field Values

### VER_SERVICEPACKMINOR

    static final int VER_SERVICEPACKMINOR

See Also:
  Constant Field Values

### VER_SERVICEPACKMAJOR

    static final int VER_SERVICEPACKMAJOR

See Also:
  Constant Field Values

### VER_SUITENAME

    static final int VER_SUITENAME

See Also:
  Constant Field Values

### VER_PRODUCT_TYPE

    static final int VER_PRODUCT_TYPE

See Also:
  Constant Field Values

### VER_NT_WORKSTATION

    static final int VER_NT_WORKSTATION

See Also:
  Constant Field Values

### VER_NT_DOMAIN_CONTROLLER

    static final int VER_NT_DOMAIN_CONTROLLER

See Also:
  Constant Field Values

### VER_NT_SERVER

    static final int VER_NT_SERVER

See Also:
  Constant Field Values

### VER_PLATFORM_WIN32s

    static final int VER_PLATFORM_WIN32s

See Also:
  Constant Field Values

### VER_PLATFORM_WIN32_WINDOWS

    static final int VER_PLATFORM_WIN32_WINDOWS

See Also:
  Constant Field Values

### VER_PLATFORM_WIN32_NT

    static final int VER_PLATFORM_WIN32_NT

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD